
QGIS Application - Bug report #21835

Plugin update progress dialog steals focus

2019-04-11 11:33 AM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee: Borys Jurgiel
Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29650

Description

Have your Desktop Environment/Window Manager set up to not give focus to new windows

Run QGIS

Open the plugin manager

Install/Update multiple plugins at once

The dialog that pops up to show download progress will steal focus from the user if they switched to a different window in the meantime

This just made me cancel (or worse?) a plugin update because I was typing in another window and the dialog stole focus

History

#1 - 2019-04-11 11:58 AM - Alessandro Pasotti

- Status changed from Open to Feedback

I don't understand: that's what modal dialogs do.

What is the expected behavior?

#2 - 2019-04-13 02:42 PM - Borys Jurgiel

- Status changed from Feedback to Open

I got it. If you run "upgrade all upgradable plugins", for each of them a new modal modal window will be opened and closed.

So you run the upgrades, switch to another application, and don't expect QGIS will start popping up again and again.

#3 - 2019-04-14 04:42 PM - Johannes Kroeger

That's it! Thanks for describing it better than me. :)

#4 - 2019-04-14 09:07 PM - Borys Jurgiel

Unfortunately personally I have no time resources to improve this behaviour in the nearest future, but I'll keep it in mind. In a long-term solution I guess
there will be no modal windows and installing/uninstalling/upgrading will be moved to background and the task manager.
